package de.ozgcloud.nachrichten.antragraum;

import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;

@Mapper(nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS, unmappedTargetPolicy = ReportingPolicy.WARN)
interface AttachmentFileRequestMapper {

	AttachmentFileRequest fromContentRequest(GrpcGetAttachmentContentRequest request);

	AttachmentFileRequest fromMetadataRequest(GrpcGetAttachmentMetadataRequest request);
}
