package de.ozgcloud.nachrichten.postfach;

import org.mapstruct.ObjectFactory;

import de.ozgcloud.common.datatype.StringBasedValue;

class NachrichtId extends StringBasedValue {

	NachrichtId(String vorgangId) {
		super(vorgangId);
	}

	@ObjectFactory
	public static NachrichtId from(String vorgangId) {
		return new NachrichtId(vorgangId);
	}
}
