package de.ozgcloud.nachrichten.antragraum;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.nachrichten.antragraum.AttachmentFileRequest.AttachmentFileRequestBuilder;
import de.ozgcloud.nachrichten.postfach.PostfachNachrichtTestFactory;

public class AttachmentFileRequestTestFactory {

	public static final String TOKEN = LoremIpsum.getInstance().getWords(1);
	public static final String FILE_ID = UUID.randomUUID().toString();
	public static final String NACHRICHT_ID = PostfachNachrichtTestFactory.ID;

	public static AttachmentFileRequest create() {
		return createBuilder()
				.build();
	}

	public static AttachmentFileRequestBuilder createBuilder() {
		return AttachmentFileRequest.builder()
				.samlToken(TOKEN)
				.fileId(FILE_ID)
				.nachrichtId(NACHRICHT_ID);
	}
}
